﻿using System;
using System.Diagnostics;


namespace SpaceInvaders
{
    public class InvaderDeathObserver : CollisionObserver
    {
        //-------------------------------------------------------------------
        //  CONSTRUCTION
        //-------------------------------------------------------------------

        public InvaderDeathObserver() : base()
        { }


        //-------------------------------------------------------------------
        //  PUBLIC METHODS
        //-------------------------------------------------------------------

        //alien death sound
        public override void Notify()
        {
            SoundManager.Play("invaderkilled.wav");
        }


    } // end class

} // end namespace
